[arch-commits] Commit in pth/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 00:34:48 EDT 2009


    Date: Friday, April 17, 2009 @ 00:34:48
  Author: eric
Revision: 35778

upgpkg: pth 2.0.7-2
    Fixed license, Disabled SMP build, FHS man pages

Modified:
  pth/trunk/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 04:21:00 UTC (rev 35777)
+++ PKGBUILD	2009-04-17 04:34:48 UTC (rev 35778)
@@ -3,20 +3,20 @@
 
 pkgname=pth
 pkgver=2.0.7
-pkgrel=1
+pkgrel=2
 pkgdesc="The GNU Portable Threads."
 arch=('i686' 'x86_64')
-url="http://www.gnu.org/software/pth"
-depends=(glibc)
-options=(!libtool)
+url="http://www.gnu.org/software/pth/"
+license=('LGPL')
+depends=('glibc')
+options=('!libtool' '!makeflags')
 source=(ftp://ftp.gnu.org/gnu/pth/${pkgname}-${pkgver}.tar.gz)
-license=('GPL')
-md5sums=(9cb4a25331a4c4db866a31cbe507c793)
+md5sums=('9cb4a25331a4c4db866a31cbe507c793')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var
+              --localstatedir=/var --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }



More information about the arch-commits mailing list